umbrello: CodeViewerDialog Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
CodeViewerDialog Class Reference

`#include <codeviewerdialog.h>`

Inheritance diagram for CodeViewerDialog:

## Public Member Functions
| CodeViewerDialog (QWidget *parent, CodeDocument *doc, Settings::CodeViewerState state)
| ~CodeViewerDialog ()
Settings::CodeViewerState | state ()
void | addCodeDocument (CodeDocument *doc)
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
virtual bool | apply ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Slots
virtual void | languageChange ()
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)

## Protected Member Functions
bool | close ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Private Member Functions
void | initGUI ()

## Private Attributes
Settings::CodeViewerState | m_state

## Friends
class | CodeEditor

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Detailed Description

This class is sooo ugly I don't know where to begin. For now, its a prototype that works, and thats all we need. In the future, a re-write is mandated to bring a bit of beauty to this beast. -b.t.

## Constructor & Destructor Documentation

## ◆ CodeViewerDialog()

CodeViewerDialog::CodeViewerDialog | ( | QWidget * | parent,
|  | CodeDocument * | doc,
|  | Settings::CodeViewerState | state
| ) |  |

## ◆ ~CodeViewerDialog()

CodeViewerDialog::~CodeViewerDialog | ( |  | ) |

## Member Function Documentation

## ◆ addCodeDocument()

void CodeViewerDialog::addCodeDocument | ( | CodeDocument * | doc | ) |

Adds a code document to the tabbed output.

## ◆ close()

bool CodeViewerDialog::close | ( |  | ) |
| protected

## ◆ initGUI()

void CodeViewerDialog::initGUI | ( |  | ) |
| private

## ◆ languageChange

void CodeViewerDialog::languageChange | ( |  | ) |
| protectedvirtualslot

Sets the strings of the subwidgets using the current language.

## ◆ state()

Settings::CodeViewerState CodeViewerDialog::state | ( |  | ) |

Return the code viewer state.

## Friends And Related Function Documentation

## ◆ CodeEditor

friend class CodeEditor
| friend

## Member Data Documentation

## ◆ m_state

Settings::CodeViewerState CodeViewerDialog::m_state
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/codeviewerdialog.h
- umbrello/dialogs/codeviewerdialog.cpp